FLOATBITSTOINT(3G)

NAME
floatBitsToInt - produce the encoding of a floating point value as an integer

DECLARATION

genIType floatBitsToInt(genType x);

genUType floatBitsToUint(genType x);

PARAMETERS

x
    Specifies the value whose floating point encoding to return.

DESCRIPTION

floatBitsToInt and floatBitsToUint return the encoding of their floating-point parameters as int or uint, respectively. The floating-point bit-level representation is preserved.

VERSION SUPPORT
 | OpenGL Shading Language Version
Function Name | 1.10 | 1.20 | 1.30 | 1.40 | 1.50 | 3.30 | 4.00 | 4.10 | 4.20 | 4.30 | 4.40 | 4.50
floatBitsToInt | - | - | - | - | - | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔
floatBitsToUInt | - | - | - | - | - | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔

SEE ALSO

intBitsToFloat(), uintBitsToFloat()

COPYRIGHT

Copyright © 2011-2014 Khronos Group. This material may be distributed subject to the terms and conditions set forth in the Open Publication License, v 1.0, 8 June 1999. http://opencontent.org/openpub/.

COPYRIGHT
Copyright © 2011-2014 Khronos Group